h01142
s 00620/00000/00000
d D 1.1 83/03/23 16:17:56 bog 1 0
c date and time created 83/03/23 16:17:56 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Block Data EmMDat					    #
#		    Menu string data structure initialization		    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Block Data EmMDat
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(SWITCHES)
COMMON(STRAPS)
COMMON(INITIALIZATION)
COMMON(COMMSTATE)
COMMON(COMMCAPABILITY)
COMMON(SPECIALKEYS)
COMMON(MENUMACHINE)
ENDCOMMON
 
MLine(`Header1',`GSS-ACCESS10',1)
 
MStringLabel(`SelectOption')
 MCrLf(2)MString(`<Type a key to select an option.>')	# No MEos
 
MStringLabel(`M2CrLf')
 MCrLf					# No MEos
 
MStringLabel(`M1CrLf')
 MCrLf
 MEos
 
MStringLabel(`SNo')
 MString(`No')MCrLf
 MEos
 
MStringLabel(`SYes')
 MString(`Yes')MCrLf
 MEos
 
MStringLabel(`MColonSpSp')
 MString(`:  ')MEos
 
MStringLabel(`RetExitHelp')
 MCrLf
 MString(`S:  Return to Main Options Menu')	# No MEos
 
MStringLabel(`ExitHelp')
 MCrLf
 MString(`X:  Exit to GSS-ACCESS10')MCrLf
 MString(`?:  Help')MCrLf
 MCrLf
 MEos
 
MStringLabel(`TypeRet')
 MCrLf
 MString(`Type C')
       MString(`R to return to the ')
 MEos
 
MStringLabel(`MainB')
 MString(`Main Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`MainHelp')
 MString(`Main Options Help')MCrLf
 MCrLf
 MString(`The GSS-ACCESS10 supports many different options which allow it')
  MCrLf
 MString(`to be configured for the requirements of your particular system.')
  MCrLf
 MString(`The options fall in several categories')
                         MSByte(`COMMA')MString(` each of which has its')
                            MCrLf
 MString(`own Menu and Help.')MCrLf
 MCrLf
 MString(`When at the Main Options Menu')
                MSByte(`COMMA')MString(` you may type the letter preceding')
                   MCrLf
 MString(`the menu name to select the menu for one of the option')MCrLf
 MString(`catagories shown.')MCrLf
 MCrLf
 MString(`For all menus')
  MSByte(`COMMA')MString(` typing ? will provide Help and typing X will')MCrLf
 MString(`return to the GSS-ACCESS10.')MCrLf
 MEos
 
MStringLabel(`CfgB')
 MString(`Configuration Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`CfgH')
 MString(`Configuration Help')MCrLf
 MCrLf
 MString(`Please see your manuals for assistance.')MCrLf
 MEos
 
MStringLabel(`SpKB')
 MString(`Special Key Definitions Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`SpKeyH1')
 MString(`Special Key Definitions Help 1')MCrLf
 MCrLf
 MString(`401X terminals have non-Ascii keys which perform special')MCrLf
 MString(`functions local to the terminal.  GSS-ACCESS10 uses standard')MCrLf
 MString(`Ascii key sequences to perform these functions.  The Special Key')
  MCrLf
 MString(`Definitions Menu allows you to change the default definitions of')
  MCrLf
 MString(`these sequences.')MCrLf
 MCrLf
 MString(`Type one of the letters preceeding the colon to choose the')MCrLf
 MString(`Special Key sequence you would like to change.  A " will appear')
  MCrLf
 MString(`on the bottom of the screen.  As you type characters of the new')
  MCrLf
 MString(`sequence')MSByte(`COMMA')
          MString(` they will show after the ".  When the sequence is')MCrLf
 MString(`complete')MSByte(`COMMA')
          MString(` type C')
                 MString(`R.')MCrLf
 MCrLf
 MString(`Type ? to see Special Key Definitions Help 2.')
 MEos
 
MStringLabel(`SpKeyH2')
 MString(`Special Key Definitions Help 2')MCrLf
 MCrLf
 MString(`As you type the new sequence')
                 MSByte(`COMMA')MString(` each character will be separated')
                  MCrLf
 MString(`by spaces.  If you make a mistake')
                      MSByte(`COMMA')MString(` you may type D')
                                                  MString(`EL or B')
                                                         MString(`S to')MCrLf
 MString(`back up over them.  When the sequence is complete and correct')
                                                           MSByte(`COMMA')MCrLf
 MString(`type a C')
         MString(`R.')MCrLf
 MCrLf
 MString(`Control characters will show as ^<char> and special characters')
  MCrLf
 MString(`B')
  MString(`S')MSByte(`COMMA')
    MString(` H')
      MString(`T')MSByte(`COMMA')
        MString(` L')
          MString(`F')MSByte(`COMMA')
            MString(` C')
              MString(`R')MSByte(`COMMA')
                MString(` E')
                  MString(`SC')MSByte(`COMMA')
                     MString(` S')
                       MString(`P and D')
                              MString(`EL will show as their names.  The "')
                               MCrLf
 MString(`allows special characters to get into the sequence.  If you')MCrLf
 MString(`precede a B')
            MString(`S')MSByte(`COMMA')
              MString(` C')
                MString(`R')MSByte(`COMMA')
                  MString(` " or D')
                         MString(`EL with a "')
                      MSByte(`COMMA')MString(` it will go into the')MCrLf
 MString(`sequence literally.  If you need to i')
                                      MString(`nclude a non-Ascii code in')
  MCrLf
 MString(`the sequence')MSByte(`COMMA')
              MString(` you may enclose its decimal equivalent value as')
               MCrLf
 MString(`digits in ".  For example')
              MSByte(`COMMA')MString(` typing E"""C')
                                        MString(`R"B')
                                           MString(`S"D')
                                              MString(`EL"200" will')MCrLf
 MString(`construct the sequence of decimal equivalent values 69 39 13 8')
  MCrLf
 MString(`127 200 and be diplayed in the menu as "E " C')
                                              MString(`R B')
                                                 MString(`S D')
                                                    MString(`EL "200""')MCrLf
 MString(`for the Special Key you are defining.')MCrLf
 MCrLf
 MString(`Type ? to see Special Key Definitions Help 1.')
 MEos
 
End
Block Data EmMDa1
BEGINCOMMON
COMMON(MENUMACHINE)
ENDCOMMON
 
MStringLabel(`EO1')
 MString(`C')
  MString(`R Effect         A:')
 MEos
 
MStringLabel(`EO2')
 MString(`C')
  MString(`R only')MCrLf
 MString(`       ')
 MSDump				# No MEos
 
MStringLabel(`CfL1')
        MString(`           B:')
 MEos
 
MStringLabel(`EO3')
 MString(`C')
  MString(`R implies C')
             MString(`R')MSByte(`COMMA')
               MString(` L')
                 MString(`F')MCrLf
 MString(`L')
  MString(`F Effect         C:')
 MEos
 
MStringLabel(`EO4')
 MString(`L')
  MString(`F only')MCrLf
 MString(`       ')
 MSDump				# No MEos
 
MStringLabel(`CfL2')
        MString(`           D:')
 MEos
 
MStringLabel(`EO5')
 MString(`L')
  MString(`F implies C')
             MString(`R')MSByte(`COMMA')
               MString(` L')
                 MString(`F')MCrLf
 MString(`Gin Termination   E:')
 MEos
 
MStringLabel(`EO6')
 MString(`C')
  MString(`R only')MCrLf
 MString(`       ')
 MSDump				# No MEos
 
MStringLabel(`CfL3')
        MString(`           F:')
 MEos
 
MStringLabel(`EO7')
 MString(`C')
  MString(`R')MSByte(`COMMA')
    MString(` E')
      MString(`OT')MCrLf
 MString(`                  G:')
 MEos
 
MStringLabel(`EO8')
 MString(`None')MCrLf
 MString(`Echo              H:')
 MEos
 
MStringLabel(`EO9')
 MString(`Remote')MCrLf
 MString(`                  I:')
 MEos
 
MStringLabel(`EO10')
 MString(`Local')MCrLf
 MString(`D')
  MString(`EL Effect        J:')
 MEos
 
MStringLabel(`EO11')
 MString(`D')
  MString(`EL is Low Y')MCrLf
 MString(`                  K:')
 MEos
 
MStringLabel(`EO12')
 MString(`D')
  MString(`EL is ignored')MCrLf
 MEos
 
MStringLabel(`EmOB')
 MString(`4010 Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`EmOptHelp')
 MString(`4010 Options Help')MCrLf
 MCrLf
 MString(`With this menu you may select options normally provided in a')MCrLf
 MString(`401X terminal.  These i')
                        MString(`nclude:')MCrLf
 MCrLf
 MString(`C')
  MString(`R Effect          a C')
                       MString(`R received generates a C')
                                               MString(`R only or a C')
                                                            MString(`R L')
                                                               MString(`F')
                                                           MSByte(`COMMA')MCrLf
 MCrLf
 MString(`L')
  MString(`F Effect          a L')
                       MString(`F received generates a L')
                                               MString(`F only or a C')
                                                            MString(`R L')
                                                               MString(`F')
                                                           MSByte(`COMMA')MCrLf
 MCrLf
 MString(`G')
  MString(`IN Termination    when G')
                          MString(`IN is terminated')
                              MSByte(`COMMA')MString(` the cursor address')
                               MCrLf
 MString(`                   will be followed by C')
                                         MString(`R')
                              MSByte(`COMMA')MString(` C')
                                             MString(`R E')
                                                MString(`OT')
                                      MSByte(`COMMA')MString(` or nothing')
                                       MSByte(`COMMA')MCrLf
 MCrLf
 MString(`Echo               keyboard characters are echoed locally or')MCrLf
 MString(`                   remotely from the host')
                                       MSByte(`COMMA')MCrLf
 MCrLf
 MString(`D')
  MString(`EL Effect         D')
                     MString(`EL may be interpreted as the low order Y')MCrLf
 MString(`                   coordinate or it may be ignored.')MCrLf
 MEos
 
MStringLabel(`PfL0')
 MString(`                       ')MEos
 
MStringLabel(`PfL1')
 MString(`  Send B')
         MString(`REAK           A:')
 MEos
 
MStringLabel(`PfL2')
 MString(`  then H')
         MString(`ARDCOPY        ')
 MEos
 
MStringLabel(`PfL3')
 MString(`  then await R')
               MString(`ELEASE   ')
 MEos
 
MStringLabel(`PfL4')
 MString(`  then E')
         MString(`RASE           ')
 MEos
 
MStringLabel(`PfL5')
 MCrLf
 MString(`Pagefull would occur at the end of Margin ')
 MEos
 
MStringLabel(`PfB')
 MString(`Pagefull Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`PagefullHelp')
 MString(`Pagefull Options Help')MCrLf
 MCrLf
 MString(`4010 terminals may perform several possible actions when the')
  MString(` screen')MCrLf
 MString(`gets "full."')MCrLf
 MCrLf
 MString(`The Pagefull Condition can occur at the bottom of Margin 1')
  MSByte(`COMMA')MString(` or only')MCrLf
 MString(`after both Margin 1 and Margin 2 are full.  The Toggle Pagefull')
  MCrLf
 MString(`Margin special key selects when the Pagefull Condition occurs')
  MSByte(`COMMA')MString(` and')MCrLf
 MString(`the current state is shown at the bottom of the Pagefull')
  MString(` Options Menu.')MCrLf
 MCrLf
 MString(`When a Pagefull Condition occurs')
                     MSByte(`COMMA')MString(` GSS-ACCESS10 may:')MCrLf
 MString(`  optionally send a B')
                      MString(`REAK to the host')
                          MSByte(`COMMA')MString(` then')MCrLf
 MEos
 
MStringLabel(`PfH1')
 MString(`  optionally make a Hardcopy of the screen')
                               MSByte(`COMMA')MString(` then')MCrLf
 MEos
 
MStringLabel(`PfH2')
 MString(`  optionally wait for you to type the Release or Page special key')
  MCrLf
 MString(`    sequence')MSByte(`COMMA')
              MString(` then')MCrLf
 MString(`  optionally Erase the screen.')MCrLf
 MCrLf
 MString(`Each of the actions may be individually enabled or disabled.')MCrLf
 MEos
 
MStringLabel(`ChSp1')
 MSByte(`LF')
 MSByte(`ESC')
 MSByte(`SEMICOLON')
 MSByte(`LF')
 MEos
 
MStringLabel(`ChSp2')
 MString(`E')
  MString(`SC ; is like this')
 MEos
 
MStringLabel(`ChSp3')
 MSByte(`ESC')
 MSByte(`COLON')
 MSByte(`LF')
 MEos
 
MStringLabel(`ChSp4')
 MString(`E')
  MString(`SC : is like this')
 MEos
 
MStringLabel(`ChSp5')
 MSByte(`ESC')
 MSByte(`NINE')
 MSByte(`LF')
 MEos
 
MStringLabel(`ChSp6')
 MString(`E')
  MString(`SC 9 is like this')
 MEos
 
MStringLabel(`ChSp7')
 MSByte(`ESC')
 MSByte(`EIGHT')
 MSByte(`LF')
 MString(`E')
  MString(`SC 8 is like this')
 MCrLf
 MEos
 
End
Block Data EmMDa2
BEGINCOMMON
COMMON(MENUMACHINE)
ENDCOMMON
 
MStringLabel(`ChB')
 MString(`Character Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`ChHelp')
 MString(`Character Options Help')MCrLf
 MCrLf
 MString(`401X terminals can have several character sizes.  These can be')
  MCrLf
 MString(`emulated in 4010 or "native" mode.')MCrLf
 MCrLf
 MString(`4010 mode selects 4010 defined spacing between characters and')
  MCrLf
 MString(`results in strings the same size as a 4014 terminal.')MCrLf
 MCrLf
 MString(`Native mode selects the normal device spacing which may alter')MCrLf
 MString(`string size but preserves optimum character spacing.')MCrLf
 MEos
 
MStringLabel(`DS1')
 MCrLf
 MString(`D:  Output Device     ')
 MEos
 
MStringLabel(`DsB')
 MString(`Display Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`DispH')
 MString(`Display Options Help')MCrLf
 MCrLf
 MString(`Your device may not have the same aspect ratio as the 4010')MCrLf
 MString(`Series terminals.  By using only part of your device')
                                   MSByte(`SINGLEQUOTE')MString(`s surface')
                                    MSByte(`COMMA')MCrLf
 MString(`you can preserve the 4010')MSByte(`SINGLEQUOTE')
                           MString(`s aspect ratio and have circles appear')
                            MCrLf
 MString(`as circles.  If you wish to use the full display resolution of')
  MCrLf
 MString(`your device but do not mind distortion')MSByte(`COMMA')
                                        MString(` you can expand the')MCrLf
 MString(`display to full screen.')MCrLf
 MCrLf
 MString(`You may change the device to which ACCESS10 output is directed')
  MCrLf
 MString(`by selecting the Output Device option and typing in a')MCrLf
 MString(`different device number.  This allows you to direct output to a')
  MCrLf
 MString(`plotter')MSByte(`COMMA')
         MString(` for instance')MSByte(`COMMA')
                       MString(` if your system associates some Device')MCrLf
 MString(`Id with a plotter.')MCrLf
 MCrLf
 MString(`You may change the device upon which future Menu Options will')
  MCrLf
 MString(`show by changing the Menu Device.  Keyboard input to GSS')MCrLf
 MString(`ACCESS10')MSByte(`COMMA')
          MString(` however')MSByte(`COMMA')
                   MString(` is ALWAYS derived from the console device.')
  MCrLf
 MEos
 
MStringLabel(`BdB')
 MString(`Baud Rate Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`BaudHelp')
 MString(`Baud Rate Help')MCrLf
 MCrLf
 MString(`You may set the transmit and receive data rates with')MCrLf
 MString(`this menu.  Your terminal baud rate must match the host')MCrLf
 MString(`baud rate.')MCrLf
 MEos
 
MStringLabel(`BaudString')
 MString(` baud')MCrLf
 MString(`  ')MEos
 
MStringLabel(`CL4')
 MString(`  ')
 MSDump				# No MEos
 
MStringLabel(`CL0')
 MString(`                ')
 MEos
 
MStringLabel(`CL1')
 MString(`Stop Bits       ')
 MEos
 
MStringLabel(`CL2')
 MString(`Parity          ')
 MEos
 
MStringLabel(`CL3')
 MString(`Flagging Mode     ')
 MEos
 
MStringLabel(`OCB')
 MString(`Other Communications Options Menu')
 MSByte(`CR')
 MEos
 
MStringLabel(`OtherHelp')
 MString(`Other Communications Options Help')MCrLf
 MCrLf
 MString(`You may select the variable host communications port parameters')
  MCrLf
 MString(`with this menu.')MCrLf
 MCrLf
 MEos
 
MStringLabel(`OH1')
 MString(`Stop bits   the number of stop bits between characters may')MCrLf
 MString(`            be as shown in the menu')
                     MSByte(`COMMA')MCrLf
 MCrLf
 MEos
 
MStringLabel(`OH2')
 MString(`Parity      parity may be even')
                   MSByte(`COMMA')MString(` odd or none')
                                MSByte(`COMMA')MString(` or the parity')MCrLf
 MString(`            bit may be set on or off')
  MSByte(`COMMA')MCrLf
 MCrLf
 MEos
 
MStringLabel(`OH3')
 MString(`Flagging    you may select hardware or software flagging or')MCrLf
 MString(`            none.  A flagging string may be chosen if software')
  MCrLf
 MString(`            flagging is used.  See the Special Key Definitions')
 MCrLf
 MString(`            Help for information on how to enter a new flagging')
  MCrLf
 MString(`            string.')MCrLf
 MCrLf
 MEos
 
MStringLabel(`OH4')
 MString(`Your selections should match the host settings.')MCrLf
 MEos
 
End
E 1
